Create Project Reminder

Create a new reminder associated with a project.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

projectIdstringRequired

Request

This endpoint expects an object.
titlestringRequired>=1 character
Reminder title
assigneeIdintegerRequired
ID of the user assigned to this reminder
descriptionstringOptional
Optional description
dueDatestringOptionalformat: "date-time"
ISO 8601 due date
isCompletedbooleanOptional
Whether the reminder is completed
typeenumOptional
Reminder type

Response

Reminder created successfully
idinteger
titlestring
descriptionstring or null
typeenum or null
dueDatestring or nullformat: "date-time"
isCompletedboolean
completedAtstring or nullformat: "date-time"
assigneeIdinteger or null
projectIdinteger or null
Present when the reminder belongs to a project.
opportunityIdinteger or null
Present when the reminder belongs to an opportunity.
accountIdinteger or null
Present when the reminder belongs to an account.
createdByinteger or null
createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
401
Unauthorized Error